The library for the plume emission estimation is [ddeq](https://gitlab.com/empa503/remote-sensing/ddeq)

```mermaid
flowchart TD
A[WEB] --> B{MAPIES framework}
B ----> D1[Plume applications]
B ---> E[Other Applications]

Note right of D1: AAAAAAAAAAA


subgraph P[-]
    direction TB
    P1[Input sources]
    P2[Preprocessing]
    P3[Emission estimation]
    P4[Postprocessing]
    P1 --> P2
    P2 --> P3
    P3 --> P4
end

D1 --> P1

classDef plumeClass fill:#f9f,stroke:#333,stroke-width:2px;
class P1,P2,P3,P4 plumeClass;

```



# Input source needed

**Sentinel 5P**

NO<sub>2</sub> L2  + Uncertainty (NO<sub>2</sub> and NO<sub>2</sub>_Precision)
- Units atribute
- Noise level atribute
- the central longitude and latitude of the pixels need to be provided as lon and lat.


There is an example in the [tutorial with one NO2 TROPOMI](https://ddeq.readthedocs.io/en/latest/example_tropomi_Matimba.html) file. It has the following attributes:

| Name | Long Name | Type |
|------|-----------|------|
| NO2 | Tropospheric vertical column of nitrogen dioxide | float32 |
| NO2_std | Precision of the tropospheric vertical column of nitrogen dioxide | float64 |
| latc | N/A | float32 |
| lonc | N/A | float32 |
| averaging_kernel | Averaging kernel | float32 |
| air_mass_factor_troposphere | Tropospheric air mass factor | float32 |
| tm5_constant_a | TM5 hybrid A coefficient at upper and lower interface levels | float32 |
| tm5_constant_b | TM5 hybrid B coefficient at upper and lower interface levels | float32 |
| psurf | Surface pressure | float32 |
| clouds | Effective cloud fraction from the cloud product | float32 |
| lat | N/A | float32 |
| lon | N/A | float32 |
| time | N/A | int64 |
| orbit | N/A | int64 |


**ERA5 (or ERA5Land)**

The ddeq library uses as well information from winds. The locations for this datasets in BSC are:

- ERA 5
  /esarchive/recon/ecmwf/era5
 
- ERA5Land
  /esarchive/recon/ecmwf/era5land








